Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 654296 - [e1000e] Wake-on-Lan fails on Ethernet Controller 82573L
Summary: [e1000e] Wake-on-Lan fails on Ethernet Controller 82573L
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Andy Gospodarek
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 13:47 UTC by Flavio Leitner
Modified: 2018-11-14 17:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-30 13:13:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Flavio Leitner 2010-11-17 13:47:36 UTC
Description of problem:

Wake-on-Lan fails on Ethernet Controller 82573L


$ cat sos_commands/networking/ethtool_-i_eth0
driver: e1000e
version: 1.0.2-k3
firmware-version: 0.0-0
bus-info: 0000:04:00.0


$ cat sos_commands/networking/ethtool_eth0
Settings for eth0:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbag
        Wake-on: g
        Current message level: 0x00000001 (1)
        Link detected: yes

Device  Sleep state     Status
P0P3       4            disabled
P0P7       4            disabled
P0P9       4            disabled
PEX1       4            disabled
PEX2       4            disabled
PEX3       4            disabled
PEX4       4            disabled
USB1       3            disabled
USB2       3            disabled
USB3       3            disabled
USB6       3            disabled
EHI1       3            disabled
USB4       3            disabled
USB5       3            disabled
EHI2       3            disabled
PCIB       3            disabled

The log originally had the messages below:
Sep 30 07:38:39 HFW7530D-RHEL55SV32 kernel: e1000e 0000:04:00.0: Warning: detected ASPM enabled in EEPROM
Sep 30 07:38:39 HFW7530D-RHEL55SV32 kernel: e1000e 0000:05:00.0: Warning: detected ASPM enabled in EEPROM

So, based on README.txt at http://downloadmirror.intel.com/9180/eng/README.txt
we had recommended to disable the Active Power State Management, but it didn't help. The feature is disabled now, though:

# ethtool -e eth0

Offset		Values
------		------
0x0000		00 1f 67 b0 2e e2 30 0b 46 f7 00 00 ff ff ff ff 
0x0010		ff ff ff ff 6b 02 00 00 86 80 9a 10 86 80 df 80 
0x0020		00 00 00 20 54 7e 00 00 14 00 da 00 04 00 00 27 
0x0030		c9 6c 50 31 3e 07 0b 0c 84 29 00 00 00 f0 06 07 
0x0040		08 10 00 00 04 0f ff 7f 01 4d ff ff ff ff ff ff 
0x0050		14 00 1d 00 14 00 1d 00 af aa 1e 00 00 00 1d 00 
0x0060		00 01 00 40 1c 12 07 40 ff ff ff ff ff ff ff ff 
0x0070		ff ff ff ff ff ff ff ff ff ff ff ff ff ff 24 af 

We had spotted bz#557974 which fixes one WoL issue, but the patch is applied since kernel-2.6.18-186.el5, so this customer should have it already.
That patch fixes a problem caused by another patch introduced in version kernel-2.6.18-185.el5.
See the changelog below:

* Mon Sep 13 2010 Jarod Wilson <jarod@redhat.com> [2.6.18-221.el5]
- [net] e1000e: update to upstream version 1.2.7-k2 (Andy Gospodarek) [566021]

* Fri May 21 2010 Jarod Wilson <jarod@redhat.com> [2.6.18-200.el5]
- [net] e1000e: fix WoL init when WoL disabled in EEPROM (Dean Nelson) [568562]

* Wed Jan 27 2010 Jarod Wilson <jarod@redhat.com> [2.6.18-186.el5]
- [net] e1000e: fix broken wol (Andy Gospodarek) [557974]

* Thu Jan 14 2010 Jarod Wilson <jarod@redhat.com> [2.6.18-185.el5]
- [net] e1000e: fix rx length check errors (Amerigo Wang) [551223] {CVE-2009-4538}

* Mon Dec 14 2009 Don Zickus <dzickus@redhat.com> [2.6.18-181.el5]
- [net] e1000e: update and fix WOL issues (Andy Gospodarek) [513706 513930 517593 531086]

* Mon Jul 27 2009 Don Zickus <dzickus@redhat.com> [2.6.18-160.el5]
- [net] e1000e/igb: make sure wol can be configured (Andy Gospodarek ) [513032]

Also, the release 2.6.18-221.el5 includes a bunch of fixes for e1000e,
so he tested kernel -230.el5. The result was not good, wol still didn't work.

 1) kernel-PAE-2.6.18-8.el5.i686     --> kernel panic
  2) kernel-PAE-2.6.18-53.el5.i686    --> kernel panic
  3) kernel-PAE-2.6.18-92.el5.i686    --> ×
  4) kernel-PAE-2.6.18-230.el5.i686   --> ×
  5) kernel-2.6.18-194.el5.i686       --> ×

He tried to stop network interface lo and ethX before executing
poweroff, but there was nothing happened.

  # ifdown lo
  # ifdown ethX
  # poweroff

Version-Release number of selected component (if applicable):
Up to -230.el5

How reproducible:
Always

Comment 2 Andy Gospodarek 2010-11-19 20:16:36 UTC
Did you also try and boot with the kernel parameter "pcie_aspm=off" in addition to disabling it on the card?

Comment 3 Flavio Leitner 2011-03-23 14:00:34 UTC
We asked to boot with "pcie_aspm=off", but it didn't help.

Comment 4 Flavio Leitner 2011-03-23 14:23:02 UTC
Could you please provide the 'lspci -vvv' output running as root and the dmesg output after booting using kernel parameter 'pcie_aspm=off'?


Note You need to log in before you can comment on or make changes to this bug.